import { Component, h, Prop, Event } from '@stencil/core';
export class QuantitySelector {
  render() {
    return (h("div", { id: "token-amount", class: "wrapper" },
      h("button", { disabled: this.selectedAmount <= 1, type: "button", onClick: () => this.amountChanged.emit(-1) }, "-"),
      h("span", null, this.selectedAmount),
      h("button", { disabled: this.selectedAmount === this.maxAmount, type: "button", onClick: () => this.amountChanged.emit(1) }, "+")));
  }
  static get is() { return "quantity-selector"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["quantity-selector.sass"]
  }; }
  static get styleUrls() { return {
    "$": ["quantity-selector.css"]
  }; }
  static get properties() { return {
    "selectedAmount": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "selected-amount",
      "reflect": false
    },
    "maxAmount": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "max-amount",
      "reflect": false
    },
    "allocationLeft": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "allocation-left",
      "reflect": false
    }
  }; }
  static get events() { return [{
      "method": "amountChanged",
      "name": "amountChanged",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      }
    }]; }
}
