import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const mintButtonCss = ".button{background-color:#FFFFFF;border:1px solid #222222;border-radius:8px;box-sizing:border-box;color:#222222;cursor:pointer;display:inline-block;font-family:Circular, -apple-system, BlinkMacSystemFont, Roboto, \"Helvetica Neue\", sans-serif;font-size:16px;font-weight:600;line-height:20px;margin:0;outline:none;padding:13px 23px;position:relative;text-align:center;text-decoration:none;touch-action:manipulation;transition:box-shadow 0.2s, -ms-transform 0.1s, -webkit-transform 0.1s, transform 0.1s;user-select:none;-webkit-user-select:none;width:auto}.button:focus-visible{box-shadow:#222222 0 0 0 2px, rgba(255, 255, 255, 0.8) 0 0 0 4px;transition:box-shadow 0.2s}.button:active{background-color:#F7F7F7;border-color:#000000;transform:scale(0.96)}.button:disabled{border-color:#DDDDDD;color:#DDDDDD;cursor:not-allowed;opacity:1}";

const MintButton = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return (h("button", { class: "button", type: "button", id: "mint", ref: el => (this.btn = el) }, h("slot", null)));
  }
  static get style() { return mintButtonCss; }
}, [1, "mint-button"]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mint-button"];
  components.forEach(tagName => { switch (tagName) {
    case "mint-button":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MintButton);
      }
      break;
  } });
}

export { MintButton as M, defineCustomElement as d };
