import { proxyCustomElement, HTMLElement, createEvent, h } from '@stencil/core/internal/client';

const quantitySelectorCss = ".wrapper{display:flex;flex-direction:row;align-items:center;gap:0.5rem}";

const QuantitySelector = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.amountChanged = createEvent(this, "amountChanged", 7);
  }
  render() {
    return (h("div", { id: "token-amount", class: "wrapper" }, h("button", { disabled: this.selectedAmount <= 1, type: "button", onClick: () => this.amountChanged.emit(-1) }, "-"), h("span", null, this.selectedAmount), h("button", { disabled: this.selectedAmount === this.maxAmount, type: "button", onClick: () => this.amountChanged.emit(1) }, "+")));
  }
  static get style() { return quantitySelectorCss; }
}, [1, "quantity-selector", {
    "selectedAmount": [2, "selected-amount"],
    "maxAmount": [2, "max-amount"],
    "allocationLeft": [2, "allocation-left"]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["quantity-selector"];
  components.forEach(tagName => { switch (tagName) {
    case "quantity-selector":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, QuantitySelector);
      }
      break;
  } });
}

export { QuantitySelector as Q, defineCustomElement as d };
