import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const supplyDisplayCss = ":host{display:block;grid-area:supply}";

const SupplyDisplay = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return (h("div", { id: "supply-counter" }, h("span", null, this.totalSupply), "/", h("span", null, this.maxSupply), h("span", null, "(", this.personalSupply, " left to mint)")));
  }
  static get style() { return supplyDisplayCss; }
}, [1, "supply-display", {
    "totalSupply": [2, "total-supply"],
    "maxSupply": [2, "max-supply"],
    "personalSupply": [2, "personal-supply"]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["supply-display"];
  components.forEach(tagName => { switch (tagName) {
    case "supply-display":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, SupplyDisplay);
      }
      break;
  } });
}

export { SupplyDisplay as S, defineCustomElement as d };
